[isar-cip-core v2 2/3] cip-core-image-security: Install packages based on DISTRO version


Venkata Pyla
 

From: venkata pyla <venkata.pyla@...>

Package names like below have different names in different DISTRO versions
and those packages should be installed based on the Distro version is
selected.

Package name in Buster: libtss2-esys0
Package name in Bullseye: libtss2-esys-3.0.2-0

Signed-off-by: venkata pyla <venkata.pyla@...>
---
recipes-core/images/cip-core-image-security.bb | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/recipes-core/images/cip-core-image-security.bb b/recipes-core/images/cip-core-image-security.bb
index c613dc9..3ea544a 100644
--- a/recipes-core/images/cip-core-image-security.bb
+++ b/recipes-core/images/cip-core-image-security.bb
@@ -27,10 +27,15 @@ IMAGE_PREINSTALL += " \
chrony \
tpm2-tools \
tpm2-abrmd \
- libtss2-esys0 \
libpam-cracklib \
acl \
audispd-plugins auditd \
uuid-runtime \
sudo \
"
+
+OVERRIDES_append = ":${BASE_DISTRO_CODENAME}"
+
+# Package names based on the distro version
+IMAGE_PREINSTALL_append_buster = " libtss2-esys0"
+IMAGE_PREINSTALL_append_bullseye = " libtss2-esys-3.0.2-0"
--
2.20.1

Join cip-dev@lists.cip-project.org to automatically receive all group messages.